Overview
Comment: | Updated to create tests log with PASS/FAIL
Added additional information to Locale test |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: | 205ad8c75e5ad0c7a924e57318a2d4dd8a74099f |
User & Date: | rkeene on 2010-09-26 04:48:25 |
Other Links: | manifest | tags |
Context
2010-09-26
| ||
04:48 | Updated locale test to use LC_ALL since dietlibc's setlocale() ignores LANG check-in: 0d9a6198ae user: rkeene tags: trunk | |
04:48 |
Updated to create tests log with PASS/FAIL
Added additional information to Locale test check-in: 205ad8c75e user: rkeene tags: trunk | |
04:48 | Minor cleanup of diff check-in: 6992d94246 user: rkeene tags: trunk | |
Changes
Modified build/test/publish-tests from [ebc8777c64] to [a10ea41136].
136 136 "*.log" - "*.ttml" - "*.html" - "*.desc" { 137 137 continue 138 138 } 139 139 } 140 140 141 141 # Derive what we can from the filename 142 142 set buildfile "${shortfile}-build.log" 143 - set failedtests [glob -nocomplain -tails -directory $WEBDIR "${shortfile}-\[0-9\]\[0-9\]-*.log"] 143 + 144 + # Determine which tests passed/failed 145 + set failedtests [list] 146 + set passedtests [list] 147 + set testsfile "${file}-tests.log" 148 + if {[file exists $testsfile]} { 149 + set testfd [open $testsfile r] 150 + foreach line [split [read $testfd] \n] { 151 + set work [split $line :] 152 + set test [string trim [lindex $work 0]] 153 + set result [string trim [lindex $work 1]] 154 + 155 + switch -- $result { 156 + "PASS" { 157 + lappend passedtests "${shortfile}-${test}.log" 158 + } 159 + "FAIL" { 160 + lappend failedtests "${shortfile}-${test}.log" 161 + } 162 + } 163 + } 164 + close $testfd 165 + } 144 166 145 167 # If this kit represents a failed build, set the failed tests to that 146 168 set kitbuilt 1 147 169 if {[file tail [file dirname $file]] == "failed"} { 148 170 set failedtests [list "${shortfile}-XX-build.log"] 171 + set passedtests [list] 149 172 set kitbuilt 0 150 173 } 151 174 152 175 ## Split the filename into parts and store each part 153 176 unset -nocomplain kitos kitcpu 154 177 set kitbuildinfo [split $shortfile -] 155 178 set tclversion [lindex $kitbuildinfo 1] ................................................................................ 162 185 # Generate array to describe this kit 163 186 unset -nocomplain kitinfo 164 187 set kitinfo(version) $tclversion 165 188 set kitinfo(file) $shortfile 166 189 set kitinfo(fullfile) $file 167 190 set kitinfo(buildfile) $buildfile 168 191 set kitinfo(failedtests) $failedtests 192 + set kitinfo(passedtests) $passedtests 169 193 set kitinfo(buildflags) $kitbuildinfo 170 194 set kitinfo(os) $kitos 171 195 set kitinfo(cpu) $kitcpu 172 196 set kitinfo(built) $kitbuilt 173 197 174 198 # Store kit information with all kits 175 199 set key [list $tclversion $kitos $kitcpu] ................................................................................ 200 224 unset -nocomplain kitinfo 201 225 array set kitinfo $kitinfo_list 202 226 203 227 if {[llength $kitinfo(failedtests)] == 0} { 204 228 set status ok 205 229 206 230 # If we are cross-compiled, note that no tests were run 207 - if {[lsearch -exact $kitinfo(buildflags) xcompile] != -1} { 231 + if {[llength $kitinfo(passedtests)] == 0} { 208 232 set status untested 209 233 } 210 234 } else { 211 235 set status non-critical 212 236 } 213 237 214 238
Modified build/test/test from [cf8d3f1fd9] to [6b4cd9a999].
129 129 130 130 # Create Tclkit 131 131 createdkit="tclkit-${version}" 132 132 outputname="${TESTDIR}/kits/tclkit-${version}-${kit}" 133 133 failoutputname="${TESTDIR}/kits/failed/tclkit-${version}-${kit}" 134 134 buildlog="${outputname}-build.log" 135 135 failbuildlog="${failoutputname}-build.log" 136 + testresultslog="${outputname}-tests.log" 136 137 137 138 if [ ! -f "${outputname}" ]; then 138 139 unset KITCREATOR_PKGS STATICTK 139 140 140 141 if [ -f "${failoutputname}" ]; then 141 142 echo "Skipping rebuilding failed kit ${version}/${kit} ..." 142 143 ................................................................................ 262 263 263 264 # Do not continue past here for un-runnable kits 264 265 if [ "${runnable}" != "1" ]; then 265 266 continue 266 267 fi 267 268 268 269 # Perform battery of tests 270 + ## Clean tests log 271 + rm -f "${testresultslog}" 269 272 for testscp in "${TESTDIR}"/tests/*.tcl; do 270 273 testscp_tag="$(basename "${testscp}" .tcl)" 271 274 testscppre="$(dirname "${testscp}")/${testscp_tag}.sh" 272 275 scplogfile="${outputname}-${testscp_tag}.log" 273 276 274 277 ( 275 278 if [ -f "${testscppre}" ]; then ................................................................................ 280 283 ) > "${scplogfile}" 2>&1 281 284 282 285 if [ "$?" != "0" ]; then 283 286 echo "Script failed: ${testscp_tag} on ${version}/${kit}" >&2 284 287 285 288 failed="${failed} ${version}/${kit}-test-${testscp_tag}" 286 289 290 + echo "${testscp_tag}: FAIL" >> "${testresultslog}" 291 + 287 292 continue 288 293 fi 294 + 295 + echo "${testscp_tag}: PASS" >> "${testresultslog}" 289 296 290 297 rm -f "${scplogfile}" 291 298 done 292 299 done 293 300 done 294 301 295 302 if [ -n "${failed}" ]; then 296 303 echo "Failed: ${failed}" 297 304 fi
Modified build/test/tests/05-locale.tcl from [302e0dfbb0] to [19da5ec8b9].
4 4 if {$tcl_version == "8.4"} { 5 5 exit 0 6 6 } 7 7 8 8 if {[encoding system] == "utf-8"} { 9 9 exit 0 10 10 } 11 + 12 +puts "Locale: [encoding system]" 13 +puts "Expected: utf-8" 11 14 12 15 exit 1